import {
  isSchemaObjectFlat
} from "./chunk-REMT6GKB.js";
import {
  assert
} from "./chunk-M6NJWFDP.js";
import {
  objectMap
} from "./chunk-PE4JT3J7.js";
import {
  valueToBoolean,
  valueToInteger
} from "./chunk-QUQRUDWG.js";
import {
  toCamelCase
} from "./chunk-HJ22ULAI.js";

// src/common/schema/env.ts
function parseSchemaEnv(schema, env = process?.env ?? {}) {
  assert(isSchemaObjectFlat(schema), "schema should be a flat object");
  const cenv = objectMap(env, (key, value) => [toCamelCase(key), value]);
  return objectMap(schema._object, (key, schema2) => {
    let value = cenv[toCamelCase(key)];
    if (schema2.type === "number") {
      value = valueToInteger(value);
    } else if (schema2.type === "boolean") {
      value = valueToBoolean(value);
    }
    return schema2.parse(value);
  });
}

export {
  parseSchemaEnv
};
//# sourceMappingURL=chunk-CB276M3L.js.map